/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: TaxonMainFactSheetActivity.java,v bb0b1d9aa693 2010/08/07 23:14:23 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.main;

import javax.annotation.Nonnull;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.TaxonFactSheetUI;
import it.tidalwave.bluebill.mobile.android.R;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.TaxonFactSheetAbstractActivity;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class TaxonMainFactSheetActivity extends TaxonFactSheetAbstractActivity<TaxonMainFactSheetAndroidController> implements TaxonFactSheetUI
  {
    public TaxonMainFactSheetActivity()
      {
        super(R.layout.taxon_empty_fact_sheet);
//        super(R.layout.taxon_main_fact_sheet);
      }

    @Override @Nonnull
    protected TaxonMainFactSheetAndroidController createController()
      {
        return new TaxonMainFactSheetAndroidController(this, taxon, factSheetProvider);
      }
  }
